Subject: bug#31231: Symbol search broken in NEWS and ChangeLogs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Apr 2018 05:32:41 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 23 Apr 2018 01:12:31 +0300
> 
> >> 2. In these files replace apostrophes by “LEFT SINGLE QUOTATION MARK” and
> >>    “RIGHT SINGLE QUOTATION MARK” like are used in Info and Help buffers.
> >
> > Thanks, but I don't like any of these 2 alternatives.  The first one
> > will get in the way of spell-checking words with an apostrophe, the
> > second one will make it harder to view the files on text terminals
> > that don't support UTF-8.
> 
> But how these text terminals display Unicode quotes in Info manuals?

Info manuals are displayed by an Info reader, and each Info reader has
its own solution for this problem (generally, substitution of ASCII
characters for undisplayable Unicode ones).

I was talking about reading NEWS in a general-purpose text-browsing
program, such as Less.  It is IMO not a good idea to prevent people
from doing that and requiring them to only read NEWS and ChangeLog
files in Emacs.

> > Is this really such a bad problem that it requires us to tweak
> > text-based modes?  What happens if you try searching for the symbol as
> > a simple string? do you get many false positives?
> 
> Yes, this is a real problem.  Now I have a good habit of using
> symbol search mode everywhere when searching for symbols.
> But the search failure reminds that NEWS and ChangeLogs are still
> problematic and I had to try again after switching to literal search.

Can you show a real-life example, with a particular symbol, where
using a literal search is inconvenient?